org.apache.sling.maven.projectsupport

## Class BundleListUtils

- java.lang.Object
- - org.apache.sling.maven.projectsupport.BundleListUtils

    public class BundleListUtils
    extends Object

Miscellaneous helper methods for working with bundle lists.

### Nested Class Summary

Nested Classes
`static interface` `BundleListUtils.ArtifactDefinitionsCallback` Callback interface for use with initArtifactDefinitions.

### Method Summary

All Methods Static Methods Concrete Methods
`static org.codehaus.plexus.interpolation.Interpolator` `createInterpolator(org.apache.maven.project.MavenProject project, org.apache.maven.execution.MavenSession mavenSession)`
`static void` `initArtifactDefinitions(ClassLoader classLoader, BundleListUtils.ArtifactDefinitionsCallback callback)` Initialize the artifact definitions using defaults inside the plugin JAR.
`static void` `interpolateProperties(BundleList bundleList, org.apache.maven.project.MavenProject project, org.apache.maven.execution.MavenSession mavenSession)`
`static boolean` `isCurrentArtifact(org.apache.maven.project.MavenProject project, ArtifactDefinition def)`
`static boolean` `nodeValue(org.codehaus.plexus.util.xml.Xpp3Dom config, String name, boolean defaultValue)`
`static int` `nodeValue(org.codehaus.plexus.util.xml.Xpp3Dom config, String name, int defaultValue)`
`static String` `nodeValue(org.codehaus.plexus.util.xml.Xpp3Dom config, String name, String defaultValue)`
`static BundleList` `readBundleList(File file)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### initArtifactDefinitions

    public static final void initArtifactDefinitions(ClassLoader classLoader,
                                                     BundleListUtils.ArtifactDefinitionsCallback callback)
                                              throws IOException

Initialize the artifact definitions using defaults inside the plugin JAR.

Throws:
  `IOException` - if the default properties can't be read
  `org.codehaus.plexus.util.xml.pull.XmlPullParserException`
  `org.apache.maven.plugin.MojoExecutionException`

#### isCurrentArtifact

    public static boolean isCurrentArtifact(org.apache.maven.project.MavenProject project,
                                            ArtifactDefinition def)

#### readBundleList

    public static BundleList readBundleList(File file)
                                     throws IOException,
                                            org.codehaus.plexus.util.xml.pull.XmlPullParserException

Throws:
  `IOException`
  `org.codehaus.plexus.util.xml.pull.XmlPullParserException`

#### nodeValue

    public static int nodeValue(org.codehaus.plexus.util.xml.Xpp3Dom config,
                                String name,
                                int defaultValue)

#### nodeValue

    public static boolean nodeValue(org.codehaus.plexus.util.xml.Xpp3Dom config,
                                    String name,
                                    boolean defaultValue)

#### nodeValue

    public static String nodeValue(org.codehaus.plexus.util.xml.Xpp3Dom config,
                                   String name,
                                   String defaultValue)

#### interpolateProperties

    public static void interpolateProperties(BundleList bundleList,
                                             org.apache.maven.project.MavenProject project,
                                             org.apache.maven.execution.MavenSession mavenSession)
                                      throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`

#### createInterpolator

    public static org.codehaus.plexus.interpolation.Interpolator createInterpolator(org.apache.maven.project.MavenProject project,
                                                                                    org.apache.maven.execution.MavenSession mavenSession)